#!/bin/sh

WGET="`which wget`"

if [ -z "$WGET" ] ; then
        echo "Program wget not found."
        exit 1
fi

UNZIP="`which unzip`"

if [ -z "$UNZIP" ] ; then
        echo "Program unzip not found."
        exit 1
fi

echo "Found programs:"
echo "${WGET}"
echo "${UNZIP}"

BASEURL="http://github.com/solonas13/REAL/archive"

if [ ! -f ./REAL-master/src/real ] ; then

        ${WGET} ${BASEURL}/master.zip 
	${UNZIP} master.zip 
	rm master.zip

        SSE=`cat /proc/cpuinfo | grep flags | grep sse4_2`

        if [ ! -z "$SSE" ] ; then
                CONFFLAGS="--enable-sse4"
        fi

        cd REAL-master
        ${SHELL} configure ${CONFFLAGS}
        make
        cd ..
fi

if [ ! -f ./REAL-master/src/real ] ; then
        echo "Failed to build real, please check the messages above."
fi
